Package: org.grails.config

## [Groovy] Class CodeGenConfig

- org.grails.config.CodeGenConfig

- All Implemented Interfaces and Traits:
    java.lang.Cloneable, ConfigMap

      @groovy.transform.CompileStatic
      @groovy.transform.Canonical
      class CodeGenConfig
      extends java.lang.Object

  A ConfigMap implementation used at codegen time

  Authors:
    Lari Hotari
    Graeme Rocher
  Since:
    3.0

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `NavigableMap` | `configMap`
    `groovy.lang.GroovyClassLoader` | `groovyClassLoader`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `CodeGenConfig ()`
    `CodeGenConfig (CodeGenConfig copyOf)`
    `CodeGenConfig (java.util.Map<java.lang.String, java.lang.Object> copyOf)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `boolean` | `asBoolean()`
    `` | `java.lang.Object` | `asType(java.lang.Class type)`
    `` | `void` | `clear()`
    `` | `CodeGenConfig` | `clone()`
    `` | `boolean` | `containsKey(java.lang.Object key)`
    `` | `boolean` | `containsValue(java.lang.Object value)`
    `<T>` | `protected T` | `convertToOtherTypes(java.lang.Object value, java.lang.Class<T> requiredType)`
    `<T>` | `protected T` | `convertToType(java.lang.Object value, java.lang.Class<T> requiredType)`
    `` | `java.util.Set<Map.Entry<java.lang.String, java.lang.Object>>` | `entrySet()`
    `` | `java.lang.Object` | `get(java.lang.Object key)`
    `` | `java.lang.Object` | `get(java.lang.String name)`
    `` | `java.lang.Object` | `getAt(java.lang.Object key)`
    `` | `java.lang.Object` | `getProperty(java.lang.String name)`
    `<T>` | `T` | `getProperty(java.lang.String name, java.lang.Class<T> requiredType)`
    `<T>` | `T` | `getProperty(java.lang.String key, java.lang.Class<T> targetType, T defaultValue)`
    `<T>` | `T` | `getRequiredProperty(java.lang.String key, java.lang.Class<T> targetType)`
    `` | `boolean` | `isEmpty()`
    `` | `java.util.Iterator<Map.Entry<java.lang.String, java.lang.Object>>` | `iterator()`
    `` | `java.util.Set<java.lang.String>` | `keySet()`
    `` | `void` | `loadGroovy(java.io.File groovyConfig)`
    `` | `void` | `loadYml(java.io.File ymlFile)`
    `` | `void` | `loadYml(java.io.InputStream input)`
    `` | `void` | `mergeMap(java.util.Map sourceMap, boolean parseFlatKeys = false)`
    `<T>` | `T` | `navigate(java.lang.Class<T> requiredType, java.lang.String... path)`
    `` | `java.lang.Object` | `navigate(java.lang.String... path)`
    `` | `java.lang.Object` | `put(java.lang.String key, java.lang.Object value)`
    `` | `void` | `putAll(java.util.Map<? extends java.lang.String, ?> m)`
    `` | `java.lang.Object` | `remove(java.lang.Object key)`
    `` | `void` | `setAt(java.lang.Object key, java.lang.Object value)`
    `` | `void` | `setProperty(java.lang.String name, java.lang.Object value)`
    `` | `int` | `size()`
    `` | `java.util.Collection<java.lang.Object>` | `values()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Property Detail

    - #### final NavigableMap configMap

    - #### groovy.lang.GroovyClassLoader groovyClassLoader

  - ### Constructor Detail

    - #### CodeGenConfig()

    - #### CodeGenConfig(CodeGenConfig copyOf)

    - #### CodeGenConfig(java.util.Map<java.lang.String, java.lang.Object> copyOf)

  - ### Method Detail

    - #### boolean asBoolean()

    - #### java.lang.Object asType(java.lang.Class type)

    - #### @java.lang.Override void clear()

    - #### CodeGenConfig clone()

    - #### @java.lang.Override boolean containsKey(java.lang.Object key)

    - #### @java.lang.Override boolean containsValue(java.lang.Object value)

    - #### <T> protected T convertToOtherTypes(java.lang.Object value, java.lang.Class<T> requiredType)

    - #### <T> protected T convertToType(java.lang.Object value, java.lang.Class<T> requiredType)

    - #### @java.lang.Override java.util.Set<Map.Entry<java.lang.String, java.lang.Object>> entrySet()

    - #### @java.lang.Override java.lang.Object get(java.lang.Object key)

    - #### java.lang.Object get(java.lang.String name)

    - #### java.lang.Object getAt(java.lang.Object key)

    - #### java.lang.Object getProperty(java.lang.String name)

    - #### <T> T getProperty(java.lang.String name, java.lang.Class<T> requiredType)

    - #### <T> @java.lang.Override T getProperty(java.lang.String key, java.lang.Class<T> targetType, T defaultValue)

    - #### <T> @java.lang.Override T getRequiredProperty(java.lang.String key, java.lang.Class<T> targetType)

    - #### @java.lang.Override boolean isEmpty()

    - #### @java.lang.Override java.util.Iterator<Map.Entry<java.lang.String, java.lang.Object>> iterator()

    - #### @java.lang.Override java.util.Set<java.lang.String> keySet()

    - #### void loadGroovy(java.io.File groovyConfig)

    - #### void loadYml(java.io.File ymlFile)

    - #### @groovy.transform.CompileDynamic // fails with CompileStatic! void loadYml(java.io.InputStream input)

    - #### void mergeMap(java.util.Map sourceMap, boolean parseFlatKeys = false)

    - #### <T> T navigate(java.lang.Class<T> requiredType, java.lang.String... path)

    - #### java.lang.Object navigate(java.lang.String... path)

    - #### @java.lang.Override java.lang.Object put(java.lang.String key, java.lang.Object value)

    - #### @java.lang.Override void putAll(java.util.Map<? extends java.lang.String, ?> m)

    - #### @java.lang.Override java.lang.Object remove(java.lang.Object key)

    - #### void setAt(java.lang.Object key, java.lang.Object value)

    - #### void setProperty(java.lang.String name, java.lang.Object value)

    - #### @java.lang.Override int size()

    - #### @java.lang.Override java.util.Collection<java.lang.Object> values()